Bug 22014 - ruptime gives erroneous output on alpha
Summary: ruptime gives erroneous output on alpha
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rwho (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-10 07:53 UTC by pcj
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-10 07:53:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pcj 2000-12-10 07:53:34 UTC
The build of ruptime in rwho-0.16.2 through rwho-0.17 for the Alpha picks
up ../include/protocols/rwhod.h, which has an incorrect definition for
outmp.out_time.  As a result, ruptime gives erroneous information on the
Alpha (hosts missing from output; incorrect number of users listed).  The
proper behavior is to pick up rwhod.h from /usr/include/protocols, which
defines out_time as int32_t.  To fix, append the following to
netkit-rwho-0.15-alpha.patch (analogous to patches already applied to
rwhod/Makefile and rwho/Makefile):

--- netkit-rwho-0.16/ruptime/Makefile.alpha Sat Dec  9 17:33:45 2000
+++ netkit-rwho-0.16/ruptime/Makefile Sat Dec  9 17:34:11 2000
@@ -3,8 +3,6 @@
 include ../MCONFIG
 include ../MRULES
 
-CFLAGS += -I../include
-
 ruptime: ruptime.o
  $(CC) $(LDFLAGS) $^ $(LIBS) -o $@

Comment 1 Jeff Johnson 2000-12-28 01:25:16 UTC
Fixed in rwho-0.17-7. Thanks for noticing, and for the patch.


Note You need to log in before you can comment on or make changes to this bug.